Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
SendCloud Portal
Sitecore Send API documentation
  • Introduction to the Sitecore Send API
        • Get all campaigns by page
        • Get all campaigns by page and page size
        • Get campaign details
        • Get all senders
        • Get sender details
        • Create a draft campaign
        • Manage a transactional campaign
        • Dynamic templates for transactional campaign
        • Clone an existing campaign
        • Delete a campaign
        • Update a draft campaign
        • Test a campaign
        • Send a campaign
        • Schedule a campaign
        • Unschedule a campaign
        • Get campaign statistics
        • Get campaign statistics with paging and filter
        • Get campaign summary
        • Get campaign activity by location
        • Get campaign link activity
        • Get A/B campaign summary
  1. Campaigns
  1. API reference
  2. Campaigns
  3. Delete a campaign

Delete a campaign

DELETE /campaigns/{CampaignID}/delete.{Format}

Deletes a draft or a sent campaign from your Sitecore Send account.

Request

ParameterInTypeRequiredDescription
CampaignIDpathstringtrueThe ID of the draft or sent campaign that you want to delete.
FormatpathstringtrueThe supported file format for getting a response.Possible values: json and xml
apikeyquerystringtrueThe API key of your account.
http
DELETE https://{hostname}/v3/campaigns/{CampaignID}/delete.{Format}?apikey=
curl
curl --include \\
     --request DELETE \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
'https://{hostname}/v3/campaigns/{CampaignID}/delete.{Format}?apikey='

Response

StatusDescriptionHeadersSchema
200 OKThe request is successful.Content-Type
/jsonAccept
/json
N/A
json
{
  "Code": 0,
  "Error": null,
  "Context": null
}
  • Code - the response code. This is 0 if successful.

  • Error - the response error message. This is null if successful.

  • Context - this is null if successful.

If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use